Management apiEndpointsIntegrations

Get list of integrations

Returns integrations filtered by workspace ID.

GET/v1/integrations
AuthorizationBearer <token>

OAuth2 authentication

In: header

Scope: workspace:admin, offline_access

Query Parameters

cursor?|

Cursor for pagination

limit?number

Limit for pagination

Default100
workspaceId*string
Match^(wksp_)?([cC][^\s-]{8,}|[a-z0-9]+)$

Response Body

application/json

application/json

curl -X GET "https://api.prisma.io/v1/integrations?workspaceId=string"
{
  "data": [
    {
      "id": "string",
      "url": "http://example.com",
      "createdAt": "2019-08-24T14:15:22Z",
      "scopes": [
        "string"
      ],
      "client": {
        "id": "string",
        "name": "string",
        "createdAt": "2019-08-24T14:15:22Z"
      },
      "createdByUser": {
        "id": "string",
        "email": "string",
        "displayName": "string"
      }
    }
  ],
  "pagination": {
    "nextCursor": "string",
    "hasMore": true
  }
}